<?php

$strId = System::GetValue('NursingId', null);
// echo $strActivityId;
$objHmisPatientNursing = HmisPatientNursing::LoadById($strId);
// $strTanggalSJP = $objHmisPatientNursing->RegisterWarantyLetterDate ? $objHmisPatientNursing->RegisterWarantyLetterDate->PhpDate('d/m/Y') : '';
// $strTanggalRujukan = $objHmisPatientNursing->RegisterReferalDate ? $objHmisPatientNursing->RegisterReferalDate->PhpDate('d/m/Y') : '';
// $umur = ViewHelper::stringUmur($objHmisPatientNursing->DateOfBirth->getTimestamp(), $objHmisPatientNursing->CreateTime->getTimestamp(), false);
$strActivityId = System::GetValue('activity_id', null);
$dtActivityOnPartition = System::getPartition($strActivityId);
$objActivityNursing = ActivityNursing::LoadByActivityId($strActivityId, $dtActivityOnPartition);
$objActivityNursingAdmBilling = ActivityNursing::LoadByActivityId($strActivityId, $dtActivityOnPartition);
if($objHmisPatientNursing->DateOfBirth && $objHmisPatientNursing->CreateTime){
  $UmurInggris = ViewHelper::stringUmur($objHmisPatientNursing->DateOfBirth->getTimestamp(), $objHmisPatientNursing->CreateTime->getTimestamp(), true);
}else{
  $UmurInggris = '';
}
if($objHmisPatientNursing->Terapi && $objHmisPatientNursing->CreateTime){
  $UmurInggris = ViewHelper::stringUmur($objHmisPatientNursing->DateOfBirth->getTimestamp(), $objHmisPatientNursing->CreateTime->getTimestamp(), true);

}
$objUser = SystemUser::LoadById($objActivityNursing->CreateUser);
$objHmisPatient = HmisRefPatient::LoadById($objHmisPatientNursing->PatientId);
    $namaPatient = ViewHelper::singkatNama(ViewHelper::namaPatient($objHmisPatient));
$objUser = SystemUser::LoadById($objHmisPatientNursing->CreateUser);
?>

<html>

<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
</head>

<body>
    <style type="text/css" media="all">
        @media print {
            .noprint {
                display: none;
            }
        }

        @media print {
            @page {
                /* size: 24.2cm 22cm; */
                margin-top: 0.5cm;
                margin-bottom: 0cm;
                margin-left: 1cm;
                margin-right: 1cm;
            }
        }

        body,
        td {
            font-size: 14px;
font-family: arial;
            line-height: 14px;
        }

        table thead {
            display: table-header-group;
        }

        table {
            width: 100%;
        }

        .row {
            display: flex;
            justify-content: center;
            flex-direction: row;
        }

        .col1 {
            width: 8.33%;
        }

        .col2 {
            width: 16.66%;
        }

        .col3 {
            width: 25%;
        }

        .col4 {
            width: 33.33%;
        }

        .col5 {
            width: 41.66%;
        }

        .col6 {
            width: 50%;
        }

        .col7 {
            width: 58.33%;
        }

        .col8 {
            width: 66.66%;
        }

        .col9 {
            width: 75%;
        }

        .col10 {
            width: 83.33%;
        }

        .col11 {
            width: 91.66%;
        }

        .col12 {
            width: 100%;
        }
    </style>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <div class="noprint">
        <a href="#" onclick="window.close()">
            <img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="print" width="30" height="30">
        </a>
        <a href="#" onclick="print()">
            <img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="print" width="30" height="30">
        </a>
        <!-- <button onclick="cetak()">E-Print</button> -->
    </div>
    <div class="print">
        <!-- start -->

        <div class="row">
            <div class="col4" style="padding-top: 15px">
                <img src="<?= __USER_ASSETS__ ?>/images/logo-bpjs.jpg" style="width: 230px; height: auto;">
            </div>
            <div class="col8">
                <h3>SURAT RENCANA KONTROL<br>
                    <?= Profile::NamaOrganisasi(); ?>&nbsp;SITUBONDO
                </h3>
            </div>
        </div>
        <div class="row">
            <div class="col7">
                <div class="row">
                    <table>
                        <tr>
                            <td>Kepada Yth</td>
                            <?php 
                            $dokterTujuan = "";
                            if($objHmisPatientNursing->DokterTujuanKontrol){
                                $objDokterTjKontrol = HmisRefEmployee::Load($objHmisPatientNursing->DokterTujuanKontrol);
                                $dokterTujuan = $objDokterTjKontrol->FirstName;
                            }
                            ?>
                            <td> <?= $dokterTujuan ?></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td>
                                Sp./Sub. <?= $objHmisPatientNursing->DepartmentName ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">Mohon Pemeriksaan dan Penanganan lebih lanjut:</td>
                        </tr>
                        <tr>
                            <td>No.Kartu</td>
                            <td>: <?= $objHmisPatientNursing->RegisterMembershipNumber ?>&nbsp;( MR. <?= $objHmisPatientNursing->Mr ?> )</td>
                        </tr>
                        <tr>
                            <td>Nama Peserta</td>
                            <td>: 
                <?= $namaPatient ?> (<?= $objHmisPatientNursing->Gender == 'MALE' ? "Laki-laki" : "Perempuan" ?>)</td>
                        </tr>
                        <tr>
                            <td>Tgl.Lahir</td>
                            <td>: 
 <?= $objHmisPatientNursing->RegisterDateOfBirth ? $objHmisPatientNursing->RegisterDateOfBirth->PhpDate('Y-m-d') :
 ($objHmisPatientNursing->DateOfBirth ? $objHmisPatientNursing->DateOfBirth->PhpDate('Y-m-d') : '') ?> 
, Umur: <?= $UmurInggris ?>
</td>
                        </tr>
                        <tr>
                            <td>Diagnosa</td>
                            <td>: <?= $objHmisPatientNursing->RegisterReferalDiagnoseCode . ' - ' . $objHmisPatientNursing->RegisterReferalDiagnoseDescription ?></td>
                        </tr>
                        <tr>
                            <td>Rencana Kontrol</td>
                            <td>: <?= $objHmisPatientNursing->TanggalKontrol ? $objHmisPatientNursing->TanggalKontrol->PhpDate('d-M-Y') : '' ?></td>
                        </tr>

<tr>
                            <td>Anamnesa, Terapi</td>
                            <td>: <?= $objHmisPatientNursing->Anamnesa ?>, <?= $objHmisPatientNursing->Terapi ?> 
<?= $objHmisPatientNursing->TreatmentDescription1 ?> 
<?= $objHmisPatientNursing->PlanningTreatmentDescription1 ?> 
<?= $objHmisPatientNursing->PlanningTreatmentDescription1 ?> 
<?= $objHmisPatientNursing->PlanningTreatmentDescription2 ?> 
<?= $objHmisPatientNursing->PlanningTreatmentDescription3 ?> 
<?= $objHmisPatientNursing->PlanningTreatmentDescription4 ?> 
<?= $objHmisPatientNursing->PlanningTreatmentDescription5 ?> 
</td>
                        </tr>
<tr>
                            <td>Kondisi Terakhir</td>
                            <td>: <?= $objHmisPatientNursing->ReferalOutReason ?> </td>
                        </tr>

                        <tr>
                            <td colspan="2">Demikian atas bantuannya, diucapkan banyak terima kasih.</td>
                        </tr>

                    </table>
                </div>
            </div>
            <div class="col5">
                <?= $objHmisPatientNursing->NomorSuratKontrol ? 'No. Surat Kontrol: ' . $objHmisPatientNursing->NomorSuratKontrol : '' ?>&nbsp;
Nomor SEP: <?= $objHmisPatientNursing->RegisterWarantyLetterNumber ?> 
                <br>
            </div>
        </div>
        <div class="row">
            <div class="col9" style="font-size: 12px; font-weight: 600">
                <br><br>
                Tgl.Entri: <?= $objHmisPatientNursing->CreateTime ? $objHmisPatientNursing->CreateTime->PhpDate('d-m-Y H:i:s') : '' ?> Petugas RS: <?= $objUser->FullName; ?> | Tgl.Cetak: <?= date('d-m-Y') ?> Jam: <?= date('H:i:s') ?>

            </div>
            <div class="col6">
                Mengetahui DPJP,
                <br>
                <br><br>
                <?= $objHmisPatientNursing->RegisterReferalDokterName ?>
            </div>
        </div>

    </div>

</body>

</html>
